%define module	watchdog

Name:		python-%{module}
Version:	0.10.3
Release:	%mkrel 2
Summary:	File system events monitoring
Group:		Development/Python
License:	ASL 2.0 and BSD and MIT
URL:		http://pypi.python.org/pypi/watchdog
Source0:	https://pypi.io/packages/source/w/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
A Python API and shell utilities to monitor file system events.

%package -n	python3-%{module}
Summary:	File system events monitoring
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:	python2-watchdog < 0.9.0-3

%description -n	python3-%{module}
A Python 3 API and shell utilities to monitor file system events.

%prep
%setup -q -n %{module}-%{version}

# Remove all shebangs
find src -name "*.py" | xargs sed -i -e '/^#!\//, 1d'

# Remove +x of the README file
chmod -x README.rst

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst
%license LICENSE
%{_bindir}/watchmedo
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 12 2021 daviddavid <daviddavid> 0.10.3-2.mga8
+ Revision: 1671241
- obsolete old python2-watchdog

* Tue Jul 14 2020 daviddavid <daviddavid> 0.10.3-1.mga8
+ Revision: 1605927
- new version: 0.10.3

* Thu Feb 20 2020 umeabot <umeabot> 0.10.2-2.mga8
+ Revision: 1546504
- Mageia 8 Mass Rebuild

* Tue Feb 18 2020 daviddavid <daviddavid> 0.10.2-1.mga8
+ Revision: 1541948
- new version: 0.10.2

* Mon Feb 03 2020 daviddavid <daviddavid> 0.10.1-1.mga8
+ Revision: 1486591
- new version: 0.10.1

* Tue Jan 28 2020 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1484632
- new version: 0.10.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.0-3.mga8
+ Revision: 1441661
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.9.0-2.mga7
+ Revision: 1352383
- rebuild with python 3.7

* Wed Oct 10 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1319191
- new version: 0.9.0
- rename python-watchdog to python2-watchdog

* Fri Sep 21 2018 umeabot <umeabot> 0.8.3-3.mga7
+ Revision: 1290557
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8.3-2.mga7
+ Revision: 1135686
- Rebuild for python 3.6

* Sun Apr 10 2016 daviddavid <daviddavid> 0.8.3-1.mga6
+ Revision: 1000091
- imported package python-watchdog

